{ config, pkgs, ... }:

with builtins;

rec {
  networking.hostName = "bc01n05";
  # TODO: undefine fqdn and define domain after big nix change
  hscloud.base.fqdn = "${networking.hostName}.hswaw.net";
  #networking.domain = "hswaw.net";
  system.stateVersion = "22.05";
  nix.maxJobs = 16;

  boot.loader.grub.device = "/dev/sda";
  fileSystems."/".device = "/dev/disk/by-uuid/c6658511-3304-44ba-a161-049b843e63f8";
  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/2a951c5d-0193-4ef3-9227-d8a5184cbd63";
    fsType = "ext4";
  };

  hscloud.base = {
    mgmtIf = "eno1";
    ipAddr = "185.236.240.37";
    ipAddrBits = 28;
    gw = "185.236.240.33";
  };
}

